Get a Workspace
curl --request GET \
--url https://api.pipedream.com/v1/workspaces/{org_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pipedream.com/v1/workspaces/{org_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pipedream.com/v1/workspaces/{org_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.pipedream.com/v1/workspaces/{org_id}")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/workspaces/{org_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "o_Qa8I1Z",
"orgname": "asdf",
"name": "asdf",
"email": "dev@pipedream.com",
"daily_credits_quota": 100,
"daily_credits_used": 0
}
}
Get a workspace
GET
/
workspaces
/
{org_id}
Get a Workspace
curl --request GET \
--url https://api.pipedream.com/v1/workspaces/{org_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pipedream.com/v1/workspaces/{org_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pipedream.com/v1/workspaces/{org_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.pipedream.com/v1/workspaces/{org_id}")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/workspaces/{org_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "o_Qa8I1Z",
"orgname": "asdf",
"name": "asdf",
"email": "dev@pipedream.com",
"daily_credits_quota": 100,
"daily_credits_used": 0
}
}
Programmatically view your workspace’s current credit usage for the billing period in real time.
Endpoint
GET /v1/workspaces/<org_id>
Path Parameters
{
"data": {
"id": "o_Qa8I1Z",
"orgname": "asdf",
"name": "asdf",
"email": "dev@pipedream.com",
"daily_credits_quota": 100,
"daily_credits_used": 0
}
}
Was this page helpful?
⌘I